﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Dreadmill
{
    static class DreadMill
    {
        static bool gameServer = false;
        static bool running = false;

        public static void SetMode(bool isServer)
        {
            gameServer = isServer;
        }

        public static bool IsGameServer()
        { return gameServer; }

        public static bool IsRunning()
        { return running; }

        public static void StartTreadmills()
        {
            if (!gameServer)
                return;
                DreadmillDriver.Start();
                DreadmillNetwork.SendCommandToClient("GO");
                running = true;
        }

        public static void StopTreadmills()
        {
            if (!gameServer)
                return;
            DreadmillDriver.Stop();
            DreadmillNetwork.SendCommandToClient("ST");
            running = false;
        }

        public static void SetSpeed(int speed)
        {
            if (!gameServer)
                return;
            DreadmillDriver.SetSpeed(speed.ToString());
            DreadmillNetwork.SendCommandToClient("PI" + speed);

        }

        public static void UpdateInput(int input)
        {
            if (gameServer)
                return;
            DreadmillNetwork.SendCommandToServer("IN:" + input);
        }
    }
}
