using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Media;


namespace Dreadmill
{
    /// <summary>
    /// This is a game component that implements IUpdateable.
    /// </summary>
    public class GameOverState : Microsoft.Xna.Framework.DrawableGameComponent
    {
        Game1 game;
        GraphicsDeviceManager graphics;
        ContentManager content;
        GameComponentCollection components;

        SpriteBatch spriteBatch;

        String loser;
        Texture2D gameOverTexture;

        public GameOverState(Game1 game, GraphicsDeviceManager graphics, ContentManager content, GameComponentCollection components)
            : base(game)
        {
            // TODO: Construct any child components here
            this.graphics = graphics;
            this.content = content;
            this.components = components;
            this.game = game;

            spriteBatch = new SpriteBatch(graphics.GraphicsDevice);
        }

        /// <summary>
        /// Allows the game component to perform any initialization it needs to before starting
        /// to run.  This is where it can query for any required services and load content.
        /// </summary>
        public override void Initialize()
        {
            // TODO: Add your initialization code here
            gameOverTexture = content.Load<Texture2D>("gameOver");

            base.Initialize();
        }

        public void assignLoser(String loser)
        {
            this.loser = loser;
        }

        /// <summary>
        /// Allows the game component to update itself.
        /// </summary>
        /// <param name="gameTime">Provides a snapshot of timing values.</param>
        public override void Update(GameTime gameTime)
        {
            // TODO: Add your update code here

            base.Update(gameTime);
        }

        public override void Draw(GameTime gameTime)
        {
            GraphicsDevice.Clear(Color.Orange);

            game.spriteBatch.Begin();

            game.spriteBatch.Draw(gameOverTexture, Vector2.Zero, Color.White);

            Vector2 offset = game.menuFont.MeasureString("" + this.loser + " is dead. Long live " + this.loser);
            Vector2 location = new Vector2(512 - (offset.X / 2), 500);
            location.X += (float)(Math.Sin(gameTime.TotalGameTime.TotalSeconds / 3) * 15);
            location.Y += (float)Math.Cos(gameTime.TotalGameTime.TotalSeconds / 3) * 20;
            game.spriteBatch.DrawString(game.menuFont, "" + this.loser + " is dead. Long live " + this.loser, location, Color.Green);

            game.spriteBatch.End();

            base.Draw(gameTime);

            // TODO: Add your drawing code here

            base.Draw(gameTime);
        }
    }
}
