using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Media;


namespace Dreadmill
{
    /// <summary>
    /// This is a game component that implements IUpdateable.
    /// </summary>
    public class PowerUp : Microsoft.Xna.Framework.DrawableGameComponent
    {
        Game1 game;
        GraphicsDeviceManager graphics;
        ContentManager content;
        GameComponentCollection components;

        public Texture2D texture;
        public Vector2 position;

        public Rectangle boundingBox;

        public bool hit = false;

        public PowerUp(Game1 game, GraphicsDeviceManager graphics, ContentManager content, GameComponentCollection components, Vector2 position)
            : base(game)
        {
            this.graphics = graphics;
            this.content = content;
            this.components = components;
            this.game = game;
            this.position = position;

            // TODO: Construct any child components here
        }

        /// <summary>
        /// Allows the game component to perform any initialization it needs to before starting
        /// to run.  This is where it can query for any required services and load content.
        /// </summary>
        public override void Initialize()
        {
            // TODO: Add your initialization code here

            base.Initialize();
        }

        /// <summary>
        /// Allows the game component to update itself.
        /// </summary>
        /// <param name="gameTime">Provides a snapshot of timing values.</param>
        public override void Update(GameTime gameTime)
        {
            position.Y += game.roadSpeed;
            // TODO: Add your update code here

            boundingBox.X = (int)position.X;
            boundingBox.Y = (int)position.Y;

            base.Update(gameTime);
        }

        public void LoadContent()
        {
            this.texture = content.Load<Texture2D>("MediPack");

            boundingBox = new Rectangle((int)this.position.X, (int)this.position.Y, texture.Width, texture.Height);
        }

        public new void Draw(GameTime gameTime, SpriteBatch spriteBatch)
        {
            spriteBatch.Draw(texture, new Rectangle((int)position.X, (int)position.Y, texture.Width, texture.Height), Color.White);
            
            base.Draw(gameTime);
        }
    }
}
