using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Media;


namespace Dreadmill
{
    /// <summary>
    /// This is a game component that implements IUpdateable.
    /// </summary>
    public class TitleState : Microsoft.Xna.Framework.DrawableGameComponent
    {
        Game1 game;
        GraphicsDeviceManager graphics;
        ContentManager content;
        GameComponentCollection components;

        Texture2D titleTex;

        public TitleState(Game1 game, GraphicsDeviceManager graphics, ContentManager content, GameComponentCollection components)
            : base(game)
        {
            // TODO: Construct any child components here
            this.graphics = graphics;
            this.content = content;
            this.components = components;
            this.game = game;
        }

        /// <summary>
        /// Allows the game component to perform any initialization it needs to before starting
        /// to run.  This is where it can query for any required services and load content.
        /// </summary>
        public override void Initialize()
        {
            // TODO: Add your initialization code here
            titleTex = game.Content.Load<Texture2D>("Title");
            base.Initialize();
        }

        /// <summary>
        /// Allows the game component to update itself.
        /// </summary>
        /// <param name="gameTime">Provides a snapshot of timing values.</param>
        public override void Update(GameTime gameTime)
        {
            // TODO: Add your update code here

            base.Update(gameTime);
        }

        public override void Draw(GameTime gameTime)
        {
            GraphicsDevice.Clear(Color.Purple);

            // TODO: Add your drawing code here
            game.spriteBatch.Begin();

            game.spriteBatch.Draw(titleTex, Vector2.Zero, Color.White);

            game.spriteBatch.End();
            
            base.Draw(gameTime);
        }
    }
}
